<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>

<%@ page import="org.wso2.carbon.utils.ServerConstants" %>
<%@ page import="org.wso2.carbon.registry.ui.resource.clients.ResourceServiceClient" %>
<%@ page import="org.wso2.carbon.registry.ui.common.utils.RegistryUtil" %>
<%@ page import="org.wso2.carbon.registry.ui.common.utils.CommonUtil" %>
<%@ page import="org.wso2.carbon.registry.ui.resource.Utils" %>
<%@ page import="org.wso2.carbon.registry.ui.resources.beans.xsd.VersionsBean" %>
<%@ page import="org.wso2.carbon.registry.ui.resources.beans.xsd.VersionPath" %>
<%
    String cookie = (String) session.getAttribute(ServerConstants.ADMIN_SERVICE_COOKIE);
    String viewMode = Utils.getResourceViewMode(request);
    String resourceConsumer = Utils.getResourceConsumer(request);
    String targetDivID = Utils.getTargetDivID(request);
    VersionsBean versionBean;
    try {
        ResourceServiceClient client = new ResourceServiceClient(cookie, config, session);
        String path = request.getParameter("path");
        versionBean = client.getVersionsBean(path);
    } catch (Exception e) {
%>
<jsp:forward page="../admin/error.jsp?<%=e.getMessage()%>"/>
<%
        return;
    }
%>

<fmt:bundle basename="org.wso2.carbon.registry.ui.resource.i18n.Resources">

<div id="middle">
    <table class="styledLeft noBorders" cellspacing="0" cellpadding="0" border="0">
        <thead>
            <tr>
                <th colspan="3"><fmt:message key="registry.browser"/></th>
            </tr>
        </thead>
        <tbody>
            <tr>
                <td>
                    <h2><fmt:message key="versions.of"/> <a href="#"
                                                            onclick="loadResourcePage('<%=versionBean.getResourcePath()%>','<%=viewMode%>','<%=resourceConsumer%>','<%=targetDivID%>')">
                    </a></h2>

                    <div id="workArea">

                        <!-- all the content goes here -->
                        <table id="versionsTable" class="styledLeft">
                            <thead>
                                <tr>
                                    <th><fmt:message key="version"/></th>
                                    <th><fmt:message key="last.modified"/></th>
                                    <th><fmt:message key="created.by"/></th>
                                    <th><fmt:message key="actions"/></th>
                                </tr>
                            </thead>
                            <tbody>

                                <%
                                    for (VersionPath versionPath : versionBean.getVersionPaths()) {
                                %>

                                <tr>
                                    <td>
                                        <%=versionPath.getVersionNumber()%>
                                    </td>
                                    <td>
                                        <%=CommonUtil.formatDate(versionPath.getUpdatedOn().getTime())%>
                                    </td>
                                    <td>
                                        <%=versionPath.getUpdater()%>
                                    </td>
                                    <td>
                                        <a onclick="loadResourcePage('<%=versionPath.getCompleteVersionPath()%>','<%=viewMode%>','<%=resourceConsumer%>','<%=targetDivID%>')"
                                           class="details-icon-link"><fmt:message
                                                key="details"/></a>
                                        <% if (versionBean.getLoggedIn() && versionBean.getPutAllowed()) { %>
                                        <a onclick="restoreVersion('../resources/restore_version_ajaxprocessor.jsp?versionPath=<%=versionPath.getCompleteVersionPath()%>&path=<%=versionPath.getActiveResourcePath()%>&resourceViewMode=<%=viewMode%>&resourcePathConsumer=<%=resourceConsumer%>&targetDivID=<%=targetDivID%>','<%=viewMode%>','<%=targetDivID%>')"
                                           class="restore-icon-link">Restore</a>
                                        <% } %>
                                    </td>
                                </tr>
                                <%
                                    }
                                %>
                            </tbody>
                        </table>
                    </div>
                </td>
            </tr>
            <tr>
                <td class="buttonRow" colspan="3">
                    <input id="cancelNSButton" class="button" name="cancelNSButton" type="button"
                           onclick="hideInLinedRegistryBrowser('<%=targetDivID%>')"
                           href="#"
                           value="Close"/>
                </td>
            </tr>
        </tbody>
    </table>
</div>

<script type="text/javascript">
    alternateTableRows('versionsTable', 'tableEvenRow', 'tableOddRow');
</script>
</fmt:bundle>