<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib uri="http://wso2.org/projects/carbon/taglibs/carbontags.jar" prefix="carbon" %>
<%@ page import="org.apache.axis2.context.ConfigurationContext" %>
<%@ page import="org.wso2.carbon.ui.CarbonUIUtil" %>
<%@ page import="org.wso2.carbon.CarbonConstants" %>
<%@ page import="org.wso2.carbon.transport.mgt.ui.types.carbon.TransportSummary" %>
<%@ page import="org.wso2.carbon.transport.mgt.ui.types.carbon.TransportDetails" %>
<%@ page import="org.wso2.carbon.transport.mgt.ui.types.carbon.TransportParameter" %>
<%@ page import="org.wso2.carbon.utils.ServerConstants" %>
<%@page import="org.wso2.carbon.transport.mgt.ui.TransportAdminClient"%>
<%@page import="org.wso2.carbon.transport.mgt.ui.types.carbon.TransportData"%>
<%@ page import="org.wso2.carbon.ui.CarbonUIMessage" %>

<script type="text/javascript" src="global-params.js"></script>

<%
String backendServerURL;
ConfigurationContext configContext;
String cookie;
TransportAdminClient client = null;
TransportData[] transportData = null;

backendServerURL = CarbonUIUtil.getServerURL(config.getServletContext(), session);
configContext = (ConfigurationContext) config.getServletContext().getAttribute(CarbonConstants.CONFIGURATION_CONTEXT);
cookie = (String) session.getAttribute(ServerConstants.ADMIN_SERVICE_COOKIE);
client = new TransportAdminClient(cookie, backendServerURL,configContext);

try {
	transportData = client.getAllTransportData();
} catch (Exception e) {
    CarbonUIMessage.sendCarbonUIMessage(e.getMessage(), CarbonUIMessage.ERROR, request, e);
%>
	<script type="text/javascript">
		 location.href = "../admin/error.jsp";
	</script>
<%
	return;
}
%>

<fmt:bundle basename="org.wso2.carbon.transport.mgt.ui.i18n.Resources">
<carbon:breadcrumb 
		label="transport.mgmt"
		resourceBundle="org.wso2.carbon.transport.mgt.ui.i18n.Resources"
		topPage="true" 
		request="<%=request%>" />
		
<script type="text/javascript" src="../carbon/admin/js/breadcrumbs.js"></script>
<script type="text/javascript" src="../carbon/admin/js/cookies.js"></script>
<script type="text/javascript" src="../carbon/admin/js/main.js"></script>

<div id="middle">
    <h2 id="listTransport"><fmt:message key="transport.mgmt"/></h2>
    <div id="workArea">
      <script type="text/javascript">
        function diableTransport(page,protocol) {
			if(protocol=="http" || protocol=="https")
			{
				CARBON.showInfoDialog(protocol +' <fmt:message key="cannot.disable.transport"/>'); 
			}
			else {            
            CARBON.showConfirmationDialog("<fmt:message key="confirm.remove.transport"/> " + protocol + " <fmt:message key="confirm.remove.transport2"/>",
                    function() {
                        location.href = page;
                    },
                    null);
			}
        }
       </script>
       <form action="">                       
          <table class="styledLeft" id="availableTransports">                	
                <%
                if (transportData != null && transportData.length>0) {
                %>               
                <%                		
                   TransportSummary summary = null;
                   TransportDetails details = null;
                   for (TransportData data : transportData) {                	   
                	  details = data.getDetails();
                	  summary = data.getSummary();
                	 
                	  boolean foundUIConfig = false;
                      String uiContext = null;
                      uiContext = summary.getProtocol() + "-config";                	               	
                      foundUIConfig = CarbonUIUtil.isContextRegistered(config, "/"+ uiContext +"/");
                %>                
                  <tbody>
		              <tr>
			              <td colspan="2" style="border-left: 0px !important; border-right: 0px !important; border-top: 0px !important; padding-left: 0px !important;">
<table cellspacing="0" class="normal"><tr><td style="padding-top: 0px !important; padding-bottom: 0px !important;">
			                    <h4><strong><%=summary.getProtocol()%></strong></h4></td><td style="padding-top: 0px !important; padding-bottom: 0px !important;">      
			                    <%
			                    if(foundUIConfig){
			                    	if (summary.getActive()) {
			                    %>
			                     <a href="../<%=uiContext%>/config.jsp" class="icon-link" style="background-image:url(images/configure.gif);"><fmt:message key="transport.configure"/></a>
			                     <a href="javascript:diableTransport('../<%=uiContext%>/disable.jsp','<%=summary.getProtocol()%>')" class="icon-link" style="background-image:url(images/disable.gif);"><fmt:message key="transport.disable"/></a>
			                    <%			                        
			                        } else {
			                    %>
			                        	<a href="../<%=uiContext%>/enable.jsp" class="icon-link" style="background-image:url(images/enable.gif);"><fmt:message key="transport.enable"/></a>
			                    <%    }
			                    }
			                    %></td></tr></table>
			              </td>			              
		              </tr>
                      <tr>
			              <td colspan="2" style="border-left: 0px !important; border-right: 0px !important; border-top: 0px !important; padding-left: 0px !important; height: 5px !important;"><img src="../admin/images/1px.gif" height="5"/></td>
			          </tr>		             
		              <tr>
			              <td class="sub-header" width="30%"><fmt:message key="transport.parameter.name"/></td>
			              <td class="sub-header"><fmt:message key="transport.parameter.value"/></td>
		              </tr>
		               <%
		              if (details.getParameters()!=null && details.getParameters().length>0) {		                          
	                   for (TransportParameter currentParam : details.getParameters()) {
	                  %>
	                  <tr>
	                      <td><%=currentParam.getName()%></td>
	                      <td><%=currentParam.getValue()%></td>
	                  </tr>
	                  <%  } 
	                    } else {
	                  %>
	                  <tr>
	                      <td colspan="2"><fmt:message key="no.params.defined"/></td>
	                  </tr>
	                  <%
	                    }
	                  %>
                      <tr>
			              <td colspan="2" style="border-left: 0px !important; border-right: 0px !important; border-top: 0px !important; border-bottom: 0px !important; padding-left: 0px !important; height: 10px !important;"><img src="../admin/images/1px.gif" height="10"/></td>
			          </tr>	                
                 <%} 
                } %>
          </table>
       </form>
    </div>
</div>
</fmt:bundle>
